OpenSearch External S3 Bucket V2

Operations related to managing external S3 buckets with read-only access for OpenSearch clusters.

List all external S3 buckets with read-only access for an OpenSearch cluster

Get a list of external S3 buckets with read-only access attached to the OpenSearch cluster

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string

ID of the OpenSearch cluster

Responses
200

Successfully retrieved external S3 bucket configurations

400

Invalid cluster ID, expecting UUID 4 format

404

OpenSearch cluster does not exist for given Id

get/cluster-management/v2/data-sources/opensearch_cluster/{clusterId}/external-s3-buckets/v2/
Request samples
Response samples
application/json
[
  • {
    }
]

Attach an external S3 bucket with read-only access to an OpenSearch cluster

Attach an external S3 bucket with read-only access to an OpenSearch cluster. The clusterId must be provided in the request body.

SecurityBasic Authentication
Request
Request Body schema: application/json
required

Details of the external S3 bucket to attach

s3BucketName
required
string

Name of the external S3 bucket

clusterId
required
string <uuid>

ID of the OpenSearch cluster to attach the bucket to

s3Prefixes
Array of strings

S3 path prefixes to restrict read-only access to within the bucket

Responses
202

External S3 bucket configuration created

400

Invalid cluster ID, bucket name, or prefix

403

This feature is not enabled for your account

404

OpenSearch cluster does not exist for given ID

post/cluster-management/v2/resources/applications/opensearch/external-s3-buckets/v2/
Request samples
application/json
{
  • "clusterDataCentreId": "a1b2c3d4-1234-56ab-cdef-0987654321fe",
  • "clusterId": "71e4380e-32ac-4fa7-ab42-c165fe35aa55",
  • "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
  • "s3BucketName": "my-snapshot-bucket",
  • "s3Prefixes": [
    ]
}
Response samples
application/json
{
  • "clusterDataCentreId": "a1b2c3d4-1234-56ab-cdef-0987654321fe",
  • "clusterId": "71e4380e-32ac-4fa7-ab42-c165fe35aa55",
  • "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
  • "s3BucketName": "my-snapshot-bucket",
  • "s3Prefixes": [
    ]
}

Retrieve an external S3 bucket configuration

Get an external S3 bucket configuration

SecurityBasic Authentication
Request
path Parameters
externalS3BucketId
required
string <uuid>

ID of the external S3 bucket configuration

Responses
200

External S3 bucket configuration

400

Invalid external S3 bucket ID

404

External S3 bucket configuration does not exist for given ID

get/cluster-management/v2/resources/applications/opensearch/external-s3-buckets/v2/{externalS3BucketId}
Request samples
Response samples
application/json
{
  • "clusterDataCentreId": "a1b2c3d4-1234-56ab-cdef-0987654321fe",
  • "clusterId": "71e4380e-32ac-4fa7-ab42-c165fe35aa55",
  • "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
  • "s3BucketName": "my-snapshot-bucket",
  • "s3Prefixes": [
    ]
}

Remove an external S3 bucket from an OpenSearch cluster

Remove an external S3 bucket from an OpenSearch cluster

SecurityBasic Authentication
Request
path Parameters
externalS3BucketId
required
string <uuid>

ID of the external S3 bucket configuration

Responses
204

External S3 bucket configuration removed

400

Invalid external S3 bucket ID

403

This feature is not enabled for your account

404

External S3 bucket configuration does not exist for given ID

delete/cluster-management/v2/resources/applications/opensearch/external-s3-buckets/v2/{externalS3BucketId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}